﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Syncfusion.JavaScript.DataVisualization.Models.Diagram;
using Syncfusion.JavaScript.DataVisualization.Models.Collections;
using Syncfusion.JavaScript.DataVisualization.Models;
using Syncfusion.JavaScript.DataVisualization.DiagramEnums;
using Label = Syncfusion.JavaScript.DataVisualization.Models.Diagram.Label;

namespace WebApplication2
{
    public partial class BPMNShapes : System.Web.UI.Page
    {
 
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!IsPostBack)
            {
                BasicShape node = new BasicShape();
                node.Name = "node";
                node.Width = 100;
                node.Height = 100;
                node.OffsetX = 200;
                node.OffsetY = 200;
                Dictionary<string, object> addinfo = new Dictionary<string, object>();
                addinfo.Add("Description", "The purpose of this task is to ensure that all incidents are resolved in a timely manner");
                addinfo.Add("Role", "Type");
                addinfo.Add("Fred", "C");
                addinfo.Add("IncidentManager", "A");
                addinfo.Add("IncidentSupport", "R");
                addinfo.Add("Janitor", "I");
                addinfo.Add("ServiceDeskAgent", "S");
                node.AddInfo = addinfo;
                DiagramContent.Model.Nodes.Add(node);
                BasicShape node1 = new BasicShape();
                node1.Name = "node1";
                node1.Width = 100;
                node1.Height = 100;
                node1.OffsetX = 400;
                node1.OffsetY = 200;
                Dictionary<string, object> addinfo1 = new Dictionary<string, object>();
                addinfo1.Add("Description", "The purpose of this task is to ensure that all incidents are resolved in a timely manner");
                addinfo1.Add("Role", "Type");
                addinfo1.Add("Fred", "C");
                addinfo1.Add("IncidentManager", "A");
                addinfo1.Add("IncidentSupport", "R");
                addinfo1.Add("Janitor", "I");
                addinfo1.Add("ServiceDeskAgent", "S");
                node1.AddInfo = addinfo1;
                DiagramContent.Model.Nodes.Add(node1);
                Connector connect = new Connector();
                connect.Name="connect";
                connect.SourceNode="node";
                connect.TargetNode="node1";
                Dictionary<string, object> addinfo2 = new Dictionary<string, object>();
                addinfo2.Add("Description", "The purpose of this task is to ensure that all incidents are resolved in a timely manner");
                addinfo2.Add("Role", "Type");
                addinfo2.Add("Fred", "C");
                addinfo2.Add("IncidentManager", "A");
                addinfo2.Add("IncidentSupport", "R");
                addinfo2.Add("Janitor", "I");
                addinfo2.Add("ServiceDeskAgent", "S");
                connect.AddInfo = addinfo2;
                DiagramContent.Model.Connectors.Add(connect);
                //Defines mouse over tooltip
                DiagramContent.Model.Tooltip = new Tooltip() { TemplateId = "mouseovertooltip" };
                DiagramContent.PageSettings.PageHeight = 500;
                DiagramContent.PageSettings.PageWidth = 500;                              
            }
        }
 
    }
}